"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BooleanIndicator = void 0;
const state_switch_js_1 = require("./state-switch.js");
class BooleanIndicator {
    state;
    constructor(...args) {
        this.state = new state_switch_js_1.StateSwitch(...args);
    }
    value(b) {
        if (typeof b === 'undefined') {
            return !!(this.state.active());
        }
        if (b) {
            this.state.active(true);
        }
        else {
            this.state.inactive(true);
        }
    }
    /**
     * Return a Promise that resolves when the state is the provided `value`
     */
    async ready(value, noCross = false) {
        await this.state.stable(value ? 'active' : 'inactive', noCross);
    }
}
exports.BooleanIndicator = BooleanIndicator;
//# sourceMappingURL=boolean-indicator.js.map